weka.attributeSelection

## Class AttributeSetEvaluator

- java.lang.Object
- - weka.attributeSelection.ASEvaluation
  - - weka.attributeSelection.AttributeSetEvaluator

- All Implemented Interfaces:
    java.io.Serializable, CapabilitiesHandler, CapabilitiesIgnorer, CommandlineRunnable, RevisionHandler

      public abstract class AttributeSetEvaluator
      extends ASEvaluation

  Abstract attribute set evaluator.
  Version:
    $Revision: 8034 $
  Author:
    Zheng Zhao: zhaozheng at asu.edu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeSetEvaluator()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract double` | `evaluateAttribute(int attribute)` evaluates an individual attribute
    `abstract double` | `evaluateAttribute(int[] attributes, int[] classAttributes)` Evaluates a set of attributes

    - ### Methods inherited from class weka.attributeSelection.ASEvaluation

      `buildEvaluator, clean, doNotCheckCapabilitiesTipText, forName, getCapabilities, getDoNotCheckCapabilities, getRevision, makeCopies, postExecution, postProcess, preExecution, run, runEvaluator, setDoNotCheckCapabilities`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeSetEvaluator

          public AttributeSetEvaluator()

  - ### Method Detail

    - #### evaluateAttribute

          public abstract double evaluateAttribute(int attribute)
                                            throws java.lang.Exception

      evaluates an individual attribute
      Parameters:
        `attribute` - the index of the attribute to be evaluated
      Returns:
        the "merit" of the attribute
      Throws:
        `java.lang.Exception` - if the attribute could not be evaluated

    - #### evaluateAttribute

          public abstract double evaluateAttribute(int[] attributes,
                                                   int[] classAttributes)
                                            throws java.lang.Exception

      Evaluates a set of attributes
      Parameters:
        `attributes` - an `int[]` value
        `classAttributes` - an `int[]` value
      Returns:
        a `double` value
      Throws:
        `java.lang.Exception` - if an error occurs